Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505376 (CVE-2014-2581) - <net-misc/smb4k-1.1.1: potential credentials cache leak (CVE-2014-2581)
Summary: <net-misc/smb4k-1.1.1: potential credentials cache leak (CVE-2014-2581)
Status: RESOLVED FIXED
Alias: CVE-2014-2581
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B4 [noglsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-22 19:47 UTC by Frank Krömmelbein
Modified: 2014-06-18 17:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Krömmelbein 2014-03-22 19:47:37 UTC
Fixed potential security issue reported by Heiner Markert. Do not allow the cruid option to be entered via the "Additional options" line edit. Also, implement a check in Smb4KMountJob::createMountAction() that removes the cruid option from the custom options returned by Smb4KSettings::customCIFSOptions().

Full Release Notes:
http://sourceforge.net/projects/smb4k/files/Smb4K%20%28stable%20releases%29/1.1.1/



Reproducible: Always
Comment 1 Frank Krömmelbein 2014-03-22 19:51:12 UTC
The new version works for me.

Upstream changed source archiv to tar.xz
So the following small patch is neccesary:

--- smb4k-1.1.0.ebuild	2014-01-07 20:34:47.000000000 +0100
+++ smb4k-1.1.1.ebuild	2014-03-22 20:41:44.122210840 +0100
@@ -13,7 +13,7 @@
 
 DESCRIPTION="The advanced network neighborhood browser for KDE"
 HOMEPAGE="http://sourceforge.net/projects/smb4k/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
 
 LICENSE="GPL-2"
 SLOT="4"
Comment 2 Johannes Huber gentoo-dev 2014-03-23 08:25:19 UTC
Thank you for reporting. This is bumped in cvs now. 

+
+  23 Mar 2014; Johannes Huber <johu@gentoo.org> +smb4k-1.1.1.ebuild:
+  Version bump wrt bug #505376.
+
Comment 3 Johannes Huber gentoo-dev 2014-03-23 08:26:49 UTC
Arches please stabilize =net-misc/smb4k-1.1.1
Comment 4 Michael Palimaka (kensington) gentoo-dev 2014-03-23 13:58:10 UTC
Apparently cruid is used to set the uid of the owner of the credentials cache.
Comment 5 Agostino Sarubbo gentoo-dev 2014-03-23 14:48:50 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-03-23 14:49:22 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 7 Michael Palimaka (kensington) gentoo-dev 2014-03-23 14:52:37 UTC
+  23 Mar 2014; Michael Palimaka <kensington@gentoo.org> -smb4k-1.0.9.ebuild,
+  -smb4k-1.1.0.ebuild:
+  Remove old.
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-03-23 15:17:45 UTC
GLSA vote: no
Comment 9 Yury German Gentoo Infrastructure gentoo-dev 2014-06-18 17:51:36 UTC
GLSA Vote: No

No GLSA - Closing Bug as Resolved